> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowtimewaitalgorithm

> MDO provider for the WorkflowTimeWaitAlgorithm enum

## "workflowtimewaitalgorithm" MDO List

MDO provider for the WorkflowTimeWaitAlgorithm enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowTimeWaitAlgorithmProvider">WorkflowTimeWaitAlgorithmProvider</see> class.
The name of the MDO list is 'workflowtimewaitalgorithm'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowtimewaitalgorithm
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowtimewaitalgorithm", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                     | StyleHint | ExtraInfo |
| -- | ---------------------------------------- | --------- | --------- |
| 1  | Number of days/hours after previous step |           |           |
| 2  | Until specific date/time                 |           |           |

## Related MDO Lists

* "workflowtimewaitalgorithmheadings"
* "workflowtimewaitalgorithmheadingswithallitem"
* "workflowtimewaitalgorithmheadingswithallitemwithnoselection"
* "workflowtimewaitalgorithmheadingswithnoselection"
* "workflowtimewaitalgorithmwithallitem"
* "workflowtimewaitalgorithmwithallitemwithnoselection"
* "workflowtimewaitalgorithmwithnoselection"


## Related topics

- [Enum WorkflowTimeWaitAlgorithm](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowTimeWaitAlgorithm.md)
- [SuperOffice.WebApi.Data.WorkflowTimeWaitAlgorithm](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowTimeWaitAlgorithm.md)
- [SuperOffice.WebApi.Data.WorkflowStepWaitForTime](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowStepWaitForTime.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
